Delete Lesson Attachment#
Removes one attachment by zero-based index in the stored attachments array. Requires manage-knowledge-hub-lessons.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
lesson_idstringbodyrequired
Base64 or numeric lesson id
attachment_indexintegerbodyrequired
Zero-based index in the current attachments list
curl --request POST \
--url https://app.rizzdial.com/api/knowledge-hub/lessons/attachments/delete \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"lesson_id":"MQ==","attachment_index":0}'messagestring
Attachment deleted successfully.